<?php $this->load->view("common/header"); ?>
<!-- end: HEAD -->

<!-- start: CSS REQUIRED FOR THIS PAGE ONLY -->
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/select2/select2.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/datepicker/css/datepicker.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/bootstrap-timepicker/css/bootstrap-timepicker.min.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/bootstrap-daterangepicker/daterangepicker-bs3.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/jQuery-Tags-Input/jquery.tagsinput.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/bootstrap-fileupload/bootstrap-fileupload.min.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>plugins/summernote/build/summernote.css">
<link rel="stylesheet" href="<?php echo asset_url(); ?>css/jquery-ui.css">
<style type="text/css">
label {
	font-weight: 700;
}
.table > thead:first-child > tr:first-child > th, .table > thead:first-child > tr:first-child > td, .table-striped thead tr.primary:nth-child(2n+1) th {
	background-color: #428bca;
	border-color: #357ebd;
	border-top: 1px solid #357ebd;
	color: white;
	text-align: center;
}
.form-horizontal .form-group {
	margin-left: 0;
	margin-right: 0;
}
</style>

<!-- end: CSS REQUIRED FOR THIS PAGE ONLY -->
<!-- end: HEAD -->
<!-- start: BODY -->
<body>

<!-- start: HEADER -->
<div class="navbar navbar-inverse navbar-fixed-top"> 
  <!-- start: TOP NAVIGATION CONTAINER -->
  <div class="container">
    <div class="navbar-header"> 
      <!-- start: RESPONSIVE MENU TOGGLER -->
      <button data-target=".navbar-collapse" data-toggle="collapse" class="navbar-toggle" type="button"> <span class="clip-list-2"></span> </button>
      <!-- end: RESPONSIVE MENU TOGGLER --> 
      <!-- start: LOGO -->
      <?php $this->load->view("common/logo"); ?>
      <!-- end: LOGO --> 
    </div>
    <div class="navbar-tools"> 
      <!-- start: TOP NAVIGATION MENU -->
      <?php $this->load->view("common/notifications.php"); ?>
      <!-- end: TOP NAVIGATION MENU --> 
    </div>
  </div>
  <!-- end: TOP NAVIGATION CONTAINER --> 
</div>
<!-- end: HEADER --> 
<!-- start: MAIN CONTAINER -->
<div class="main-container">
<div class="navbar-content"> 
  <!-- start: SIDEBAR -->
  <?php $this->load->view("common/navigation"); ?>
  <!-- end: SIDEBAR --> 
</div>
<!-- start: PAGE -->
<div class="main-content">
<!-- end: SPANEL CONFIGURATION MODAL FORM -->
<div class="container">
<!-- start: PAGE HEADER -->
<div class="row">
  <div class="col-sm-12"> 
    <!-- start: PAGE TITLE & BREADCRUMB -->
    <ol class="breadcrumb">
      <li> <a href="#"> Dashboard </a> </li>
      <li> <a href="<?php echo base_url('transfer'); ?>">  GRN Return </a> </li>
      <li class="active"> Add GRN Return </li>
      <li class="search-box">
        <form class="sidebar-search">
          <div class="form-group">
            <input type="text" placeholder="Start Searching...">
            <button class="submit"> <i class="clip-search-3"></i> </button>
          </div>
        </form>
      </li>
    </ol>
    <div class="page-header">
      <h1>Add  GRN Return </h1>
    </div>
    <p>Please fill in the information below. The field labels marked with * are required input fields.</p>
  </div>
</div>
<!-- end: PAGE HEADER --> 
<!-- start: PAGE CONTENT 
                    <!-- start grid -->

<div class="row">
  <div class="col-md-12"> 
    <!-- start: DYNAMIC TABLE PANEL -->
    <div class="panel panel-default">
      <div class="panel-heading"> <i class="fa fa-plus"></i> Add  GRN Return </div>
      <div class="panel-body">
        <div class="alert alert-danger" style="display:none;">
          <button class="close" data-dismiss="alert"> × </button>
          <i class="fa fa-times-circle"></i> <strong></strong> <span class="errortxt"></span> </div>
        <div class="alert alert-success" style="display:none;">
          <button class="close" data-dismiss="alert"> × </button>
          <i class="fa fa-check-circle"></i> <strong></strong><span class="succetxt"></span> </div>
        <form role="form" class="form-horizontal" id="create_transfer_form" action="#" method="post">
          <div class="col-md-12"></div>
          <!--col-md-12-->
          <div class="col-md-12">
            <div class="col-md-4">
              <div class="form-group">
                <label>Date *</label>
                <?php $nowdate=date("Y-m-d H:i:s");?>
                <input id="trnsfr_datetime" name="trnsfr_datetime" type='text' class="form-control date" value="" data-bv-field="date"/>
              </div>
            </div>
            <div class="col-md-4" style="display:none">
              <div class="form-group">
                <label>Reference No</label>
                <input type='text' class="form-control" id="trnsfr_reference_no" name="trnsfr_reference_no" value="" readonly/>
              </div>
            </div>
            <div class="col-md-12">
              <div class="panel panel-default">
                <div class="panel-heading" style="font-weight: 700;">Please select these before adding any product</div>
                <div class="panel-body">
                  <div class="col-sm-4">
                    <div class="form-group">
                      <label>From Warehouse * </label>
                      <select id="warehouse_id" class="form-control" name="warehouse_id">
                        <!--<option value="">-- Select Warehouse --</option>-->
                        <?php 
																 $ss_warehouse_id=$this->session->userdata('ss_warehouse_id'); 
                                                              foreach ($warehouse_list as $row)
                                                              {
																  $sel='';
																  if($ss_warehouse_id==$row->id)
																  {
																	  $sel=' selected="selected"';
																  }
                                                              ?>
                        <option value="<?php echo $row->id; ?>" <?php echo $sel;?>> <?php echo $row->name; ?> </option>
                        <?php }?>
                      </select>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="form-group">
                      <label for="customer_id">Supplier * </label>
                      <select id="supp_id" name="supp_id" class="form-control search-select">

								                                <option value="">&nbsp;</option>

									                             <?php foreach ($supplier as $key => $sup) {

									                                echo"<option value=".$sup->supp_id.">".$sup->supp_company_name."</option>";

									                             } ?>  

								                             </select>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="form-group">
                      <label>Note</label>
                      <textarea name="pur_note" cols="40" rows="1" class="form-control" id="pur_note" style="margin-top: 0px; height: 37px;"></textarea>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!--col-md-8--> 
          
          <!-- item add box-->
          <div id="sticker" class="col-md-12">
            <div class="well well-sm">
              <div class="form-group">
                <div class="col-md-12" style="display:none"> <b>Manual Search</b> <br/>
                  <input type="checkbox" name="manual_search" value="1" id="manual_search" style="float:left; margin-left:0px;" title="manual_search">
                </div>
                <div class="col-md-12" style="display:">&nbsp; </div>
                
                <!-- auto complete start -->
                <div class="input-group wide-tip">
                  <div style="padding-left: 10px; padding-right: 10px;" class="input-group-addon"> <i class="fa fa-2x fa-barcode addIcon"></i> </div>
                  <input type="text" placeholder="Please add products to order list" id="add_item" class="form-control input-lg" value="" name="add_item"  style="border-radius: 6px;font-size: 18px;height: 46px;line-height: 1.33;padding: 10px 16px;">
                  <!--<div style="padding-left: 10px; padding-right: 10px;" class="input-group-addon">
															<i id="addIcon" class="fa fa-2x fa-plus-circle addIcon"></i>

														</div>--> 
                </div>
                <!-- end auto complete end --> 
                
              </div>
              <div class="clearfix"></div>
              <div class="control-group table-group">
                <label class="table-label">Order Items</label>
                <div class="controls table-controls">
                  <table class="table items table-striped table-bordered table-condensed table-hover" id="soTable">
                    <thead>
                      <tr>
                        <th class="col-md-7">Product Name (Product Code)</th>
                        <th>Warranty(Months)</th>
                        <th>Cost Price</th>
                        <th class="col-md-1">Quantity</th>
                        <th class="col-md-1 text-right">Discount </th>
                        <th class="text-right">Subtotal</th>
                        <th style="width: 30px !important; text-align: center;"><i class="fa fa-trash-o"></i></th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr data-item-id="144680019784" class="row_144680019784" id="row_1446800197032">
                        <td></td>
                        <td class="text-right"></td>
                        <td class="text-right"></td>
                        <td></td>
                        <td class="text-right"></td>
                        <td class="text-right"></td>
                        <td class="text-center"></td>
                      </tr>
                    </tbody>
                    <tfoot>
                      <tr class="tfoot active" id="tfoot">
                        <th colspan="3" class="text-right">Total Amount</th>
                         <th class="text-right"><span id="qtyTotal">0</span></th>
                          <th class="text-right"></th>
                        <th class="text-right"><span id="Subtotal">0.00</span></th>
                      </tr>
                      <!-- <tr class="tfoot active" id="tfoot">
																	<th colspan="4" class="text-right">Paid </th>
																	<th class="text-right">
                                                                    <input type="text" onChange="changePaidValue(this.value);" onClick="this.select(); setTmpVal(this.value);" id="paid" value="0.00" name="paid" class="form-control text-right rquantity">
                                                                    </th>
																	
																</tr>
                                                                <tr class="tfoot active" id="tfoot">
																	<th colspan="4" class="text-right">Balance </th>
																	<th class="text-right"><span id="balance_dis">0.00</span></th>
																	
																</tr>-->
                    </tfoot>
                  </table>
                  
                  <!-- start list --> 
                  <!-- end list --> 
                </div>
              </div>
            </div>
            <!-- end item add box-->
            
            <div id="extras-con" class="row"> 
              <!--<div class="col-md-4">
																<div class="form-group">
																	<label for="potax2">Order Tax</label>
																	<select id="tax_rate_id" class="form-control" name="tax_rate_id">
                                                                   
																  <?php 
                                                              foreach ($tax_rates_list as $row)
                                                              {
																  
                                                              ?>  
                                                                        
																		<option value="<?php echo $row['id']; ?>"><?php echo $row['name']; ?>
                                                                        </option>
                                                              <?php }?>
																		
																	</select>
																</div>
															</div>-->
              
              <div class="col-md-4">
                <div class="form-group"> 
                  <!--<label>Order Discount</label>-->
                  <input type="hidden" title="" data-original-title="" value="" class="form-control input-tip" id="sale_inv_discount" name="trnsfr_inv_discount" onChange="changeMainDiscount(this.value)">
                </div>
              </div>
              
              <!--<div class="col-md-4">
											<div class="form-group">
												<label>Shipping</label>
					                             <input type="text" title="" data-original-title="" name="sale_shipping" value="" class="form-control input-tip" id="sale_shipping">
											</div>
										</div>--> 
              
              <!-- <div class="col-md-4">
															<div class="form-group">
													<label for="poshipping">Payment Status *</label>
													 <select id="payment_status" class="form-control selectpicker" name="payment_status">
                                                      <option value="Paid">Paid</option>
                                                     <option value="Pending">Pending</option>
                                                     <option value="Due">Due</option>
                                                     <option value="Partial">Partial</option>
                                                    
					                             </select>
															</div>
														</div>--> 
              
              <!--<div class="col-md-4">
											<div class="form-group">
												<label>Sale Status *</label>
					                            <select id="sale_status" name="sale_status" class="form-control selectpicker">
                                                    <option value="Completed">Completed</option>
                                                     <option value="Pending">Pending</option>
					                             </select>
											</div>
										</div>--> 
              <!--<div class="col-md-4">
																<div class="form-group">
																	<label for="podiscount">Payment Term</label>
																	<input type="text" id="sale_payment_term" class="form-control input-tip" value="" name="sale_payment_term" data-original-title="" title="">
																</div>
															</div>
														--> 
              
            </div>
          </div>
          <!-- end: col-md-12--> 
          
          <!--<div class="col-md-6">
                            <div class="form-group">
										<label for="form-field-23">
											Safe Note
										</label>
										<textarea class="form-control limited" id="form-field-23" maxlength="50"></textarea>
									</div>
                            </div>--><!-- col-md-6--> 
          
          <!-- <div class="col-md-6">
                            <div class="form-group">
										<label for="form-field-23">
											Staff Note
										</label>
										<textarea class="form-control limited" id="form-field-23" maxlength="50"></textarea>
									</div>
                            </div>--><!-- col-md-6-->
          
          <div class="col-md-12">
            <div class="modal-footer" style="margin-bottom:10px;">
              <input type="submit" class="btn btn-primary" value="Add Grn Return" name="add_transfer" id="add_transfer">
              <button id="reset" class="btn btn-danger" type="button">Reset</button>
            </div>
          </div>
          <input name="trnsfr_inv_discount_amount" type="hidden" id="sale_inv_discount_amount" value="0">
          <input name="pur_rtn_total" type="hidden" id="sale_total" value="0">
          <input name="trnsfr_paid" type="hidden" id="sale_paid" value="0">
          <input name="trnsfr_balance" type="hidden" id="sale_balance" value="0">
          <input name="rowCount" type="hidden" id="rowCount" value="0">
        </form>
        
        <!-- end: DYNAMIC TABLE PANEL --> 
        
        <!-- footer amount details -->
        <div style="margin-bottom: 0px; position: fixed; bottom: 0px; width: 1082px; z-index: 50000;" class="well well-sm" id="bottom-total">
          <table style="margin-bottom:0;" class="table table-bordered table-condensed totals">
            <tbody>
              <tr class="warning">
                <td width="30%">Total <span id="f_total" class="totals_val pull-right">0.00</span></td>
                <td width="30%">Order Discount <span id="tds" class="totals_val pull-right">0.00</span></td>
                <td>Grand Total <span id="gtotal" class="totals_val pull-right">0.00</span></td>
              </tr>
            </tbody>
          </table>
        </div>
        <!-- end footer amount details --> 
        
      </div>
    </div>
    
    <!-- end grid --> 
    
  </div>
  <!-- end: PAGE --> 
</div>
<!-- end: MAIN CONTAINER --> 
<!-- start: FOOTER -->
<div class="footer clearfix">
  <div class="footer-inner">
    <?php date("Y");?>
    Developed by: Sallelanka Solutions (pvt) Ltd. </div>
  <div class="footer-items"> <span class="go-top"><i class="clip-chevron-up"></i></span> </div>
</div>
<!-- end: FOOTER --> 
<!-- start: RIGHT SIDEBAR --> 
<!-- end: RIGHT SIDEBAR -->
<div id="event-management" class="modal fade" tabindex="-1" data-width="760" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"> &times; </button>
        <h4 class="modal-title">Event Management</h4>
      </div>
      <div class="modal-body"></div>
      <div class="modal-footer">
        <button type="button" data-dismiss="modal" class="btn btn-light-grey"> Close </button>
        <button type="button" class="btn btn-danger remove-event no-display"> <i class='fa fa-trash-o'></i> Delete Event </button>
        <button type='submit' class='btn btn-success save-event'> <i class='fa fa-check'></i> Save </button>
      </div>
    </div>
  </div>
</div>
<input name="tmpVal" type="hidden" id="tmpVal" value="0">
<a id="modal_ajax_serial_no" data-toggle="modal" href="#"></a>
<input name="" type="hidden" id="curr_row_no" value="0">
<!-- start ajax model -->
<div id="ajax-modal" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" style="display: none;"></div>
<!-- end ajax model --> 

<!-- start: MAIN JAVASCRIPTS -->
<?php $this->load->view("common/footer"); ?>
<script src="<?php echo asset_url(); ?>js/jquery-ui.js" ></script> 
<script src="<?php echo asset_url(); ?>js/moment-with-locales.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/bootstrap-datetimepicker.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/bootbox.min.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/accounting.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/accounting.min.js"></script> 

<!-- end: MAIN JAVASCRIPTS --> 

<!-- start: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY VALIDATION--> 
<script src="<?php echo asset_url(); ?>js/form-validation-create_transfer.js"></script> 
<script src="<?php echo asset_url(); ?>js/purchase_return_v2.js"></script> 

<!-- end: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY  VALIDATION--> 

<script>
function pop_up_add_serial_no(row_no) {
    $("#curr_row_no").val(row_no);
    //alert(1);
    document.getElementById("modal_ajax_serial_no").click();
}
$('a#modal_ajax_serial_no').on('click', function() {
    var curr_row_no = $("#curr_row_no").val();
    $("#curr_row_no").val('');
    var qtyfld = '#quantity_' + curr_row_no;
    var productfld = '#product_id_' + curr_row_no;
    var warehouse_id = $("#warehouse_id").val();
    //alert(qtyfld);
    var qty = $(qtyfld).val();
    var product_id = $(productfld).val();
    //alert(curr_row_no);
    // create the backdrop and wait for next modal to be triggered
    $('body').modalmanager('loading');
    setTimeout(function() {
        var url = "<?php echo base_url("sales/add_serial_no/");?>/" + curr_row_no + '/' + qty + '/' + product_id + '/' + warehouse_id;
        $modal.load(url, '', function() {
            $modal.modal();
        });
    }, 1000);
});
clearForm();


/*$(document).ready(function() {
  $(window).keydown(function(event){
    if(event.keyCode == 13) {
      event.preventDefault();
      return false;
    }
  });
});*/

$('#add_item').keypress(function(e){
    if ( e.which == 13 ) return false;
    //or...
    if ( e.which == 13 ) e.preventDefault();
 }); 

function changeQtyByProductID(qty, nxtCount) {
    //alert(qty+' '+nxtCount);
    if (isNaN(qty)) {
        displayNotice('page', 'Invalid Quantity');
        var quantity_fld = '#quantity_' + nxtCount;
        var product_id_fld = '#product_id' + nxtCount;
        //alert(quantity_fld);
        var oldVal = $('#tmpVal').val();
        $(quantity_fld).val(oldVal); //set last val
    } else {
        //getavalable product count
        var product_id_fld = '#product_id' + nxtCount;
        var product_id = $(product_id_fld).val();
        var warehouse_id = $('#warehouse_id').val();
        $.get("<?php echo base_url();?>transfer/get_avalable_product_qty", {
            product_id: product_id,
            warehouse_id: warehouse_id
        }).done(function(data) {
            var obj = jQuery.parseJSON(data);
            //alert(obj.remmnaingQty);
        });
        //end getavalable product count
        calculateTotal();
        //displayNotice('page','Product quantity successfully updated!');
    }
}

function getNextRefNo() {
    //return 'SALE/2015/11/0001';
    //alert();
    $.post("<?php echo base_url();?>transfer/get_next_ref_no").done(function(data) {
        var obj = jQuery.parseJSON(data);
        $('#trnsfr_reference_no').val(obj.trnsfr_reference_no);
    });
    //return false;
}

function insertTransferData() {
    var type = 'A';
    var trnsfr_reference_no = $('#trnsfr_reference_no').val();
    var fields = $("#create_transfer_form").serialize();
    var rowCount = $('#rowCount').val();
    var validationFailed = false;
    var invalid_sn = '';
    for (k = 1; k <= rowCount; k++) {
        //alert(k);
        //var invalid_sn='';
        var fld_sn = "#product_sn_" + k
        var fld_product_sn_exissts = '#product_sn_exissts_' + k;
        var fld_qty = "#quantity_" + k
        const sn_val = $(fld_sn).val();
        var qty_val = $(fld_qty).val();
        //alert(sn_val);
        if ($(fld_product_sn_exissts).val() == 1) {
            if (sn_val) {
                const splitString = sn_val.split(",");
                var sn_length = splitString.length;
                if ($(fld_sn).val() == '') {
                    validationFailed = true;
                } else if (qty_val != sn_length) {
                    //invalid_sn="Serial no qty does't match with product qty ."+qty_val;
                    if (invalid_sn) invalid_sn = invalid_sn + ' ,';
                    invalid_sn = invalid_sn + qty_val;
                }
            } else if (qty_val) {
                if (!sn_val) {
                    validationFailed = true;
                }
            }
        }
        //console.log(splitString);   
    }
    // alert('validationFailed:'+validationFailed);
    // return false;
    if (invalid_sn) {
        alert("Serial no qty does't match with product qty : " + invalid_sn);
    } else if (validationFailed) {
        alert('Please add serial No.');
    } else if (rowCount != 0) {
        $("#add_transfer").prop("disabled", true);
        $("#add_transfer").val('Please wait...');
        // create_transfer_form.add_transfer.disabled = true;
        // create_transfer_form.add_transfer.value = "Please wait...";
        //	return true;
        //alert(fields);
        //type:type, trnsfr_reference_no:trnsfr_reference_no
        $.post("<?php echo base_url();?>purchase_return_v2/save_purchase_return", fields).done(function(data) {
            var obj = jQuery.parseJSON(data);
            if (obj.error == 1) {
                $('.alert-success').hide();
                $('.alert-danger').show();
                $(".errortxt").text(obj.disMsg);
                window.scrollTo(500, 0);
                //empty item table
            }
            if (obj.error == 0) {
                //$('.alert-danger').hide();
                //$('.alert-success').show();
                //$( ".succetxt" ).text( obj.disMsg );
                window.scrollTo(500, 0);
                //$("#soTable tr:gt(0)").remove();
                $("#soTable > tbody").empty();
                displayNotice('page', 'Successfully added!');
                clearForm();
                //empty footer details
                //alert(obj.trnsfr_id);
                sendUrl = 'purchase_return/purchase_return_details/'+obj.pur_rtn_id;
                //alert(sendUrl);
                window.location.href = "<?php echo base_url();?>" + sendUrl;
            }
        });
        return false;
    } else {
        bootbox.alert('Please add products.', function() {
            $('#add_item').focus();
        });
    }
}
$("#add_item").keypress(function(event){
	if(!$('#supp_id').val()){
		bootbox.alert('SELECT THE SUPPLIER !');
		$("#add_item").val("").focus();
	}
	else{
		if(event.keyCode == 13){
			$.ajax({
				url: "<?php echo base_url();?>sales/get_product_by_serial_no",
				success: function(data){
					var obj = jQuery.parseJSON(data);
					if(obj[0])
					selected_item_precess(obj[0]);
					else bootbox.alert("NO RESULTS FOUND FOR "+$('#add_item').val()+" !");
					$('#add_item').val('');
				},
				data:{
					term:$("#add_item").val(),
					in_type:$("#in_type").val(),
					cus_type:$('#cus_type').val(),
					cat_id:$('#city_id').val(),
					srh_warehouse_id:$('#warehouse_id').val(),
					},
				type:"POST"
			});
		}
		add_items();
	}
 });
 
 function add_items() {
    $("#add_item").autocomplete({
        source: '<?php echo base_url();?>sales/suggestions?t=&cus_type=&city_id=&srh_warehouse_id=' + $('#warehouse_id').val() + '&cat_id=',
        minLength: 6,
        autoFocus: false,
        delay: 5,
        response: function(event, ui) {
            /*if (ui.content.length == 1 && ui.content[0].product_id != 0) {
                if (manual_search) {
                    ui.item = ui.content[0];

 					$(this).data('ui-autocomplete')._trigger('select', 'autocompleteselect', ui);

					$(this).autocomplete('close');

                    $(this).removeClass('ui-autocomplete-loading');
                    }
                
            } else*/
			if (ui.content.length == 0) {
                var noResult = {
                    value: "",
                    label: "No matching result found! Product might be out of stock in the selected warehouse."
                };
                ui.content.push(noResult);
            } else {}
        },
        select: function(event, data) {
			var result = selected_item_precess(data.item);
			//setTimeout(function(){$("#add_item").val('');},50);
			//alert($("#add_item").val());
			//$(this).autocomplete('close');
            //$(this).removeClass('ui-autocomplete-loading');
        }
    });
	

}

function selected_item_precess(data){
	if (data.value) {
	    
	    var supp_id=$("#supp_id").val();
		//	alert(supp_id+":"+data.supp_id);
			if(supp_id!=data.supp_id){
			bootbox.alert(data.product_name+" , Item GRN Different Supplier ( "+data.supp_company_name+" )", function() {});
			}else {
			
	    var warehouse_id=$('#warehouse_id').val();
                $('#in_type option:not(:selected)').prop('disabled', true);
                $('#warehouse_id option:not(:selected)').prop('disabled', true);
                $('#supp_id option:not(:selected)').prop('disabled', true);
                
                rowCount = parseInt($('#rowCount').val());
                var tmp = '';
                if (rowCount) {
                    tmp = isAddedProduct(data,warehouse_id);
                }
                if (!tmp) {
                    addProductToListByID(data.product_id, data.product_name, data.product_code, data.pis_cost_price, data.product_part_no, data.product_oem_part_number, data.item_cost, data.product_sn, data.product_w, data.product_sn_exissts);
                    var rowCount = parseInt($('#rowCount').val());
                    
					var item_ac_price_p = "#item_ac_price_p_" + rowCount;
                    //$(item_ac_price_p).focus();
                    //$(item_ac_price_p).select();
                     $('#add_item').focus();
                     
					var rowCount = parseInt($('#rowCount').val());
                    var product_sn_fld = '#product_sn_' + rowCount;
                    var product_sn_val = ($(product_sn_fld).val());
                    if (data.is_search_by_sn) {
                        var prouct_price = data.product_price;
                        if (data.pis_cost_price) {
                            var cost_validate = '';
                            if (3 != "<?php echo $this->session->userdata('ss_warehouse_id');?>") {
                                if (data.pis_cost_price > prouct_price) {
                                    cost_validate = 1;
                                }
                            }
                            cost_validate = '';
                            if (cost_validate == 1) {
                                bootbox.alert(data.product_sn + " Emi no product cost greater than selling price. Can not add to the invoicce. Please contact site administrator");
                                return false;
                            } else {
                                if (product_sn_val) {
                                    $(product_sn_fld).val(product_sn_val + ',' + data.product_sn);
                                } else {
                                    $(product_sn_fld).val(data.product_sn);
                                }
                            }
                            //set serial no item cost
                            var fld_item_cost = "#item_cost_" + rowCount;
                            //alert(data.pis_cost_price);
                            if (data.pis_cost_price != '0.00') {
                                $(fld_item_cost).val(data.pis_cost_price);
                            }
                        }
                        //end set cost
                    }
                }
				setTimeout(function(){$("#add_item").val('');},50);
			} // end supplier check
				return true;
            }
}

$(window).scroll(function() {
    if ($(window).scrollTop() + $(window).height() == $(document).height()) {
        //alert("bottom!");
        $('#bottom-total').css({
            position: 'static',
            width: '100%'
        });
    } else {
        $('#bottom-total').css({
            position: 'fixed',
            width: '1082px'
        });
    }
});
//function to initiate bootstrap-datepicker
$(function() {
    //showKeys();
    var currentDate = new Date();
    $('#trnsfr_datetime').datetimepicker({
        defaultDate: new Date(),
        minDate: new Date()
    });
    //$("#warehouse_id").select2();
    $("#supp_id").select2();
    $("#customer_id").select2();
});
</script>
</body>
<!-- end: BODY -->
</html>